package com.example.smartlab.Activity

import android.content.Intent
import android.content.SharedPreferences
import android.os.Bundle
import android.view.inputmethod.EditorInfo
import androidx.appcompat.app.AppCompatActivity
import androidx.core.widget.addTextChangedListener
import com.example.smartlab.Api.sendCodeToEmail
import com.example.smartlab.databinding.ActivityLoginBinding

class LoginActivity : AppCompatActivity() {
    private lateinit var binding: ActivityLoginBinding
    private lateinit var shPref: SharedPreferences
    private lateinit var editor: SharedPreferences.Editor

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityLoginBinding.inflate(layoutInflater)
        setContentView(binding.root)

        shPref = getPreferences(MODE_PRIVATE)
        editor = shPref.edit()

        checkMail()
        listener()
    }

    //Проверка значения почты для разблокировки кнопки
    private fun checkMail() {
        binding.etxtEmail.addTextChangedListener {
            var mail = binding.etxtEmail.text.toString()
            val regexEmail = "^\\S+@\\S+\\.\\S+\$"
            binding.btnNext.isEnabled = mail.matches((regexEmail.toRegex()))
        }
    }

    private fun listener() {
        binding.btnNext.setOnClickListener()
        {
            //этобыла попытка в обработку ответа от api, но что-то пошло не так
//            val resultSendCode = sendCodeToEmail(binding.etxtEmail.text.toString())
//            if(resultSendCode)
//            {
//                val intent = Intent(this, CodeFromEmail::class.java)
//                //передача данных из одной активности в другую
//                intent.putExtra("Email", binding.etxtEmail.text.toString())
//                startActivity(intent)
//            }
//            else
//            {
//                Toast.makeText(this, "Что-то пошло не так при отправке сообщения на почту! Проверьте подключение к интернету и попробуйте еще раз.", Toast.LENGTH_LONG).show()
//            }
            sendCodeToEmail(binding.etxtEmail.text.toString())
            val intent = Intent(this, CodeFromEmail::class.java)
            //передача данных из одной активности в другую
            intent.putExtra("Email", binding.etxtEmail.text.toString())
            startActivity(intent)
        }
//Для обработки нажатия Enter в editText для ввода кода
        binding.etxtEmail.setOnEditorActionListener { v, actionId, event ->
            if(actionId == EditorInfo.IME_ACTION_DONE){
                binding.btnNext.callOnClick()
                true
            } else {
                false
            }
        }
    }


}