package com.example.smartlab.Activity

import android.content.Intent
import android.os.Bundle
import androidx.appcompat.app.AppCompatActivity
import com.example.smartlab.GlobalSharedPreferences
import com.example.smartlab.databinding.ActivityMainBinding


class MainActivity : AppCompatActivity() {
    private lateinit var binding: ActivityMainBinding
    private  lateinit var shPref: GlobalSharedPreferences

    override fun onCreate(savedInstanceState: Bundle?) {

        super.onCreate(savedInstanceState)
        binding = ActivityMainBinding.inflate(layoutInflater)
        val view = binding.root
        setContentView(view)

        shPref = GlobalSharedPreferences(this)
        shPref.firstStartApp = false
        //обработка открытия страниц, в зависимости от первого запуска и наличия пароля
        if(shPref.firstStartApp)
        {
            startActivity(Intent(this, OnBoardActivity::class.java))
        }
        else if(shPref.token == null)
        {
            startActivity(Intent(this, LoginActivity::class.java))
        }
        else if(shPref.password == null)
        {
            startActivity(Intent(this, CreatePasswordActivity::class.java))
        }
        else
        {
            startActivity(Intent(this, NavigationActivity::class.java))
        }
        finish()
    }
}
