package com.example.smartlab.Activity

import android.annotation.SuppressLint
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.GestureDetector
import android.view.MotionEvent
import com.example.smartlab.GlobalSharedPreferences
import com.example.smartlab.Model.Board
import com.example.smartlab.R
import com.example.smartlab.databinding.ActivityOnBoardBinding
import java.util.LinkedList
import java.util.Queue
import kotlin.math.abs

class OnBoardActivity : AppCompatActivity()/*, GestureDetector.OnGestureListener*/ {

    //Менеджер для свайпов
/*
    lateinit var gestureDetector: GestureDetector
*/
    private lateinit var binding: ActivityOnBoardBinding
    private lateinit var queueBoard: Queue<Board>
    private  lateinit var shPref: GlobalSharedPreferences
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        //для свайпа
        //gestureDetector = GestureDetector(this, this)

        binding = ActivityOnBoardBinding.inflate(layoutInflater)
        setContentView(binding.root)
        shPref = GlobalSharedPreferences(this)
        clickNextBoard()
        initQueueBoard()

    }

    //Заполнение очереди
    @SuppressLint("UseCompatLoadingForDrawables")
    fun initQueueBoard()
    {
        queueBoard = LinkedList<Board>(listOf(
            Board(getString(R.string.first_slide_title), getString(R.string.first_slide_description), getDrawable(R.drawable.pic_analyses)!!),
            Board(getString(R.string.second_slide_title), getString(R.string.second_slide_description), getDrawable(R.drawable.pic_notification)!!),
            Board(getString(R.string.third_slide_title), getString(R.string.third_slide_description), getDrawable(R.drawable.pic_monitoring)!!)
        ))
        setBoard(queueBoard.poll())
    }

    //Установка значений из очереди на активность
    fun setBoard(elementBoard: Board)
    {
        binding.nameBoard.text = elementBoard.name
        binding.mainTextBoard.text = elementBoard.description
        binding.imgBoard.setImageDrawable(elementBoard.image)
        binding.nextBoard.text = "Пропустить"
        //изменения цвета точек, в зависимости от активности
        when (queueBoard.size) {
            2 -> {
                binding.firstCircle.isEnabled = true
            }
            1 -> {
                binding.firstCircle.isEnabled = false
                binding.secondCircle.isEnabled = true
            }
            0 -> {
                binding.secondCircle.isEnabled = false
                binding.thirdCircle.isEnabled = true
                binding.nextBoard.text = "Завершить"
            }
        }
    }
    fun clickNextBoard()
    {
        binding.nextBoard.setOnClickListener()
        {
            startActivity(Intent(this, LoginActivity::class.java))
            shPref.firstStartApp = false
            finish()
        }
    }

   /* override fun onTouchEvent(event: MotionEvent?): Boolean {
        return if(gestureDetector.onTouchEvent(event!!)){
            true
        }else{
            return super.onTouchEvent(event)
        }
    }
    override fun onDown(e: MotionEvent?): Boolean {
        return false
    }

    override fun onShowPress(e: MotionEvent?) {
    }

    override fun onSingleTapUp(e: MotionEvent?): Boolean {
        return false
    }

    override fun onScroll(
        e1: MotionEvent?,
        e2: MotionEvent?,
        distanceX: Float,
        distanceY: Float
    ): Boolean {
        return false
    }

    override fun onLongPress(e: MotionEvent?) {
    }

    override fun onFling(e1: MotionEvent?, e2: MotionEvent?, velocityX: Float, velocityY: Float): Boolean {
        val diffY = e2!!.y - e1!!.y //расстояние в высоту
        val diffX = e2!!.x - e1!!.x //расстояние в длину
        if(abs(diffX)>abs(diffY)){ //проверка для определения, что сделан свап влево/вправо
            if(abs(diffX)>100 && abs(velocityX) > 100){ //ограничение для х, чтобы не считывало короткие движения
                if(diffX<0){ //проверка, куда смахивание
                    if(queueBoard.size!=0){
                        setBoard(queueBoard.poll()!!)
                    }
                }
            }
        }
        return true
    }*/
}