package com.example.smartlab.Adapter

import android.content.Context
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.bumptech.glide.Glide
import com.example.smartlab.Model.News
import com.example.smartlab.R
import com.example.smartlab.databinding.ItemOfNewsBinding

class AdapterNews(): RecyclerView.Adapter<AdapterNews.NewsHolder>()
{
    var newsList: List<News> = emptyList()
        set(newValue) {
            field = newValue
            notifyDataSetChanged()
        }
    class NewsHolder(item: View): RecyclerView.ViewHolder(item){
        private val binding = ItemOfNewsBinding.bind(item)
        fun bind(news: News) = with(binding)
        {
            nameOfItem.text = news.name
            descriptionOfItem.text = news.description
            priceOfItem.text = news.price.toString() + " ₽"

            Glide.with(binding.root).load(news.image)
                .placeholder(R.drawable.baseline_plug)
                .dontAnimate()
                .into(imageOfItem)
        }
    }

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): AdapterNews.NewsHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.item_of_news, parent, false)
        return NewsHolder(view)
    }

    override fun onBindViewHolder(holder: AdapterNews.NewsHolder, position: Int) {
        //val context = holder.itemView.context
        holder.bind(newsList[position])
    }

    override fun getItemCount(): Int = newsList.size


}

