package com.example.smartlab.Adapter

import android.annotation.SuppressLint
import android.view.LayoutInflater
import android.view.ViewGroup
import androidx.recyclerview.widget.RecyclerView
import com.example.smartlab.Model.Catalog
import com.example.smartlab.databinding.ItemOfCatalogBinding


class CatalogAdapter(private val listener: Listener) : RecyclerView.Adapter<CatalogAdapter.CatalogViewHolder>() {

    var data: List<Catalog> = emptyList()
        @SuppressLint("NotifyDataSetChanged")
        set(newValue) {
            field = newValue
            notifyDataSetChanged()
        }

    class CatalogViewHolder (val binding: ItemOfCatalogBinding) : RecyclerView.ViewHolder(binding.root)

    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): CatalogViewHolder {
        val inflater = LayoutInflater.from(parent.context)
        val binding =  ItemOfCatalogBinding.inflate(inflater, parent, false)
        return CatalogViewHolder(binding)
    }

    override fun getItemCount(): Int = data.size

    @SuppressLint("SetTextI18n")
    override fun onBindViewHolder(holder: CatalogViewHolder, position: Int) {
        val catalog = data[position]
        val context = holder.itemView.context
        val listener = listener

        with(holder.binding){
            nameCatalog.text = catalog.name
            timeResultCatalog.text = catalog.timeResul
            priceCatalog.text = catalog.price.toString() + " ₽"
            btnInBasket.setOnCheckedChangeListener { _, isChecked ->
                if (isChecked) listener.OnChecked(catalog)
                else listener.OffChecked(catalog)
            }
            itemCatalog.setOnClickListener(){
                listener.OnClickCatalog(catalog)
            }
        }
    }

    interface Listener {
        fun OnChecked(catalog: Catalog)
        fun OffChecked(catalog: Catalog)
        fun OnClickCatalog(catalog: Catalog)
    }
}


