package com.example.smartlab.Adapter

import android.os.Build
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.annotation.RequiresApi
import androidx.recyclerview.widget.RecyclerView
import com.example.smartlab.R
import com.example.smartlab.databinding.ItemFilterAnalyzeBinding

//Адаптер для категорий в анализах
class CategoryAdapter(private val listener: Listener, private val selectedCategory: String) : RecyclerView.Adapter<CategoryAdapter.CategoryViewHolder>(){
    var data: List<String> = emptyList()
        set(newValue) {
            field = newValue
            notifyDataSetChanged()
        }
    class CategoryViewHolder(item: View) : RecyclerView.ViewHolder(item){
        private val binding = ItemFilterAnalyzeBinding.bind(item)
        @RequiresApi(Build.VERSION_CODES.O)
        fun bind(category: String, listener: Listener, selectedCategory: String) = with(binding){
            btnCategory.text = category
            if(category == selectedCategory)
            {
                btnCategory.focusable = View.FOCUSABLE
                btnCategory.isFocusableInTouchMode = true
            }
            btnCategory.setOnClickListener(){
                listener.OnClickCategory(binding.root)
            }
        }
    }

    override fun onCreateViewHolder(
        parent: ViewGroup,
        viewType: Int
    ): CategoryViewHolder {
        val view = LayoutInflater.from(parent.context).inflate(R.layout.item_filter_analyze, parent, false)
        return CategoryViewHolder(view)
    }

    @RequiresApi(Build.VERSION_CODES.O)
    override fun onBindViewHolder(holder: CategoryViewHolder, position: Int) {
        holder.bind(data[position], listener, selectedCategory)
    }

    override fun getItemCount(): Int = data.size

    interface Listener {
        fun OnClickCategory(category: View)
    }
}