package com.example.smartlab.Api


import com.example.smartlab.Model.Catalog
import com.example.smartlab.Model.News
import retrofit2.Call
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST

interface ApiRequest {
    //запрос на отправку кода на почту
    @POST("api/SendCode") //метод и путь
    fun postSendCode(@Header("User-email") email: String): Call<String> //@Header это заголовки полей, а Call - ожидаемый тип данных

    //запрос на проверку введенного кода
    @POST("api/SignIn")
    fun postSignIn (@Header("User-email") email: String, @Header("User-code") code: String): Call<String>

    //получение списка новостей
    @GET("api/News")
    fun getNews(): Call<List<News>>

    //получение каталога
    @GET("api/Catalog")
    fun getCatalog(): Call<List<Catalog>>
}