package com.example.smartlab.Api

import android.content.ContentValues
import android.util.Log
import com.google.gson.GsonBuilder
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import okhttp3.OkHttpClient
import okhttp3.logging.HttpLoggingInterceptor
import retrofit2.Retrofit
import retrofit2.awaitResponse
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.converter.scalars.ScalarsConverterFactory

public fun sendCodeToEmail(email: String)/*: Boolean*/{
    //var resultSendCode = false

    val interceptor = HttpLoggingInterceptor()
    interceptor.level = HttpLoggingInterceptor.Level.BODY

    val httpClient = OkHttpClient.Builder()
        .addInterceptor(interceptor)
        .build()

    val gsonBuilder = GsonBuilder()
        .setLenient()
        .create()

    val retrofit = Retrofit.Builder()
        .addConverterFactory(ScalarsConverterFactory.create())
        .addConverterFactory(GsonConverterFactory.create(gsonBuilder))
        .baseUrl("https://iis.ngknn.ru/NGKNN/МамшеваЮС/MedicMadlab/")
        .client(httpClient)
        .build()
    val requestApi = retrofit.create(ApiRequest::class.java)
    CoroutineScope(Dispatchers.IO).launch {
        try {
            val response = requestApi.postSendCode(email)
                .awaitResponse()
            if(response.isSuccessful){
                Log.d("Response", "Успешная отправка кода на почту")
                //resultSendCode = true
            }
            else{
                Log.d("Response", "${response.code()}")
            }
        } catch (e: Exception){
            Log.d(ContentValues.TAG, e.toString())
        }
    }
    //return resultSendCode
}