package com.example.smartlab.Fragment

import android.annotation.SuppressLint
import android.content.res.Configuration
import android.graphics.Color
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.AdapterView
import android.widget.ArrayAdapter
import android.widget.Spinner
import android.widget.TextView
import com.example.smartlab.Activity.CreateCardActivity
import com.example.smartlab.R
import com.example.smartlab.databinding.FragmentAnalyzesBinding
import com.example.smartlab.databinding.FragmentFormBinding

//https://stackru.com/questions/39301877/kak-dobavit-podskazku-v-spinner-v-xml?ysclid=lopmri20n2652621249
class FormFragment : Fragment() {
    private var _binding: FragmentFormBinding? = null
    private val binding get() = _binding!!
    override fun onCreateView(inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle? ): View? {
    //return inflater.inflate(R.layout.fragment_form, container, false)
        _binding = FragmentFormBinding.inflate(inflater, container, false)
        //для кнопки сохранения
        if(activity is CreateCardActivity){
            binding.btnSave.text = "Создать"
        }
        else if (parentFragment is ProfileFragment){
            binding.btnSave.text = "Сохранить"
        }
        //данные для спинера
        val genders = resources.getStringArray(R.array.list_gender)
        var hintColor = resources.getColor(R.color.gray)
        var textColor = resources.getColor(R.color.black)
        val DarkModeFlags = resources.configuration.uiMode and Configuration.UI_MODE_NIGHT_MASK
        if(DarkModeFlags == Configuration.UI_MODE_NIGHT_YES) {
            hintColor = resources.getColor(R.color.lightGrayB)
            textColor = resources.getColor(R.color.white)
        }
        //настройка адаптеря для спинера
        val spinnerAdapter = object: ArrayAdapter<String>(this.requireContext(), android.R.layout.simple_spinner_item, genders) {
            //чтобы нельзя было выбрать "пол"
            override fun isEnabled(position: Int): Boolean {
                // Disable the first item from Spinner
                // First item will be use for hint
                return position != 0
            }

            @SuppressLint("ResourceAsColor")
            override fun getDropDownView(
                position: Int,
                convertView: View?,
                parent: ViewGroup
            ): View {
                val view: TextView = super.getDropDownView(position, convertView, parent) as TextView
                //set the color of first item in the drop down list to gray
                if(position == 0) {
                    view.setTextColor(hintColor)
                } else {
                    //here is it possible to define color for other items by
                    view.setTextColor(textColor)
                }
                return view
            }
        }

        spinnerAdapter.setDropDownViewResource(android.R.layout.simple_spinner_dropdown_item)

        binding.spGender.adapter = spinnerAdapter

        binding.spGender.onItemSelectedListener = object: AdapterView.OnItemSelectedListener {
            override fun onNothingSelected(parent: AdapterView<*>?) {
            }

            @SuppressLint("ResourceAsColor")
            override fun onItemSelected(
                parent: AdapterView<*>?,
                view: View?,
                position: Int,
                id: Long
            ) {
                val value = parent!!.getItemAtPosition(position).toString()
                if (value == genders[0]) {
                    (view as TextView).setTextColor(hintColor)
                }
                else{
                    (view as TextView).setTextColor(R.color.black)
                }
            }
        }
        return binding.root
    }
}