package com.example.smartlab

import android.content.Context
import android.content.Context.MODE_PRIVATE

class GlobalSharedPreferences(context: Context) {
    private val settings = context.getSharedPreferences(context.getString(R.string.app_name), MODE_PRIVATE)

    private val editor = settings.edit()
    var firstStartApp
        get() = settings.getBoolean("first_start", true)
        set(value) {
            editor.putBoolean("first_start", value)
            editor.apply()
        }

    var token
        get() = settings.getString("user_token", null)
        set(value) {
            editor.putString("user_token", value)
            editor.apply()
        }

    var password
        get() = settings.getString("user_password", null)
        set(value) {
            editor.putString("user_password", value)
            editor.apply()
        }


}